From 52e71ebf33de1bb5feb189240db7f80e2718eb44 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Sun, 16 Jun 2019 16:03:23 +0200
Subject: [PATCH 1/2] python-jupyter_console: split out python3-jupyter_console

---
 srcpkgs/python-jupyter_console/template | 22 +++++-----------------
 srcpkgs/python-jupyter_console/update   |  2 +-
 srcpkgs/python3-jupyter_console         |  1 -
 3 files changed, 6 insertions(+), 19 deletions(-)
 delete mode 120000 srcpkgs/python3-jupyter_console

diff --git a/srcpkgs/python-jupyter_console/template b/srcpkgs/python-jupyter_console/template
index 51f2aaebf2c..bdc224067c0 100644
--- a/srcpkgs/python-jupyter_console/template
+++ b/srcpkgs/python-jupyter_console/template
@@ -1,12 +1,12 @@
 # Template file for 'python-jupyter_console'
 pkgname=python-jupyter_console
 version=5.2.0
-revision=3
+revision=4
 archs=noarch
 wrksrc="jupyter_console-${version}"
-build_style=python-module
+build_style=python2-module
 pycompile_module="jupyter_console"
-hostmakedepends="python-setuptools python3-setuptools"
+hostmakedepends="python-setuptools"
 depends="python-ipython python-ipython_ipykernel python-jupyter_client
  python-prompt_toolkit1 python-Pygments"
 short_desc="Jupyter terminal console (Python2)"
@@ -18,19 +18,7 @@ checksum=545dedd3aaaa355148093c5609f0229aeb121b4852995c2accfa64fe3e0e55cd
 alternatives="jupyter-console:jupyter-console:/usr/bin/jupyter-console2"
 
 post_install() {
+	# create versioned script for alternatives
+	mv ${DESTDIR}/usr/bin/jupyter-console{,2}
 	vlicense COPYING.md LICENSE
 }
-
-python3-jupyter_console_package() {
-	archs=noarch
-	depends="python3-ipython python3-ipython_ipykernel python3-jupyter_client
-	 python3-prompt_toolkit1 python3-Pygments"
-	pycompile_module="jupyter_console"
-	short_desc="${short_desc/Python2/Python3}"
-	alternatives="jupyter-console:jupyter-console:/usr/bin/jupyter-console3"
-	pkg_install() {
-		vmove usr/bin/jupyter-console3
-		vmove usr/lib/python3*
-		vlicense COPYING.md LICENSE
-	}
-}
diff --git a/srcpkgs/python-jupyter_console/update b/srcpkgs/python-jupyter_console/update
index e9b0a0a5ea4..b2ab5939791 100644
--- a/srcpkgs/python-jupyter_console/update
+++ b/srcpkgs/python-jupyter_console/update
@@ -1 +1 @@
-ignore="*b*"
+ignore="*b* 6.*"
diff --git a/srcpkgs/python3-jupyter_console b/srcpkgs/python3-jupyter_console
deleted file mode 120000
index d57f6727496..00000000000
--- a/srcpkgs/python3-jupyter_console
+++ /dev/null
@@ -1 +0,0 @@
-python-jupyter_console
\ No newline at end of file

From fcea4d52f84f092ab9862b4eed26fc6795ea3398 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Sun, 16 Jun 2019 16:15:37 +0200
Subject: [PATCH 2/2] python3-jupyter_console: update to 6.0.0.

---
 srcpkgs/python3-jupyter_console/template | 24 ++++++++++++++++++++++++
 srcpkgs/python3-jupyter_console/update   |  1 +
 2 files changed, 25 insertions(+)
 create mode 100644 srcpkgs/python3-jupyter_console/template
 create mode 100644 srcpkgs/python3-jupyter_console/update

diff --git a/srcpkgs/python3-jupyter_console/template b/srcpkgs/python3-jupyter_console/template
new file mode 100644
index 00000000000..25b2eda4c2f
--- /dev/null
+++ b/srcpkgs/python3-jupyter_console/template
@@ -0,0 +1,24 @@
+# Template file for 'python3-jupyter_console'
+pkgname=python3-jupyter_console
+version=6.0.0
+revision=1
+archs=noarch
+wrksrc="jupyter_console-${version}"
+build_style=python3-module
+pycompile_module="jupyter_console"
+hostmakedepends="python3-setuptools"
+depends="python3-ipython python3-ipython_ipykernel python3-jupyter_client
+ python3-prompt_toolkit2 python3-Pygments"
+short_desc="Jupyter terminal console (Python3)"
+maintainer="Alessio Sergi <al3hex@gmail.com>"
+license="BSD-3-Clause"
+homepage="https://github.com/jupyter/jupyter_console"
+distfiles="${PYPI_SITE}/j/jupyter_console/jupyter_console-${version}.tar.gz"
+checksum=308ce876354924fb6c540b41d5d6d08acfc946984bf0c97777c1ddcb42e0b2f5
+alternatives="jupyter-console:jupyter-console:/usr/bin/jupyter-console3"
+
+post_install() {
+	# create versioned script for alternatives
+	mv ${DESTDIR}/usr/bin/jupyter-console{,3}
+	vlicense COPYING.md LICENSE
+}
diff --git a/srcpkgs/python3-jupyter_console/update b/srcpkgs/python3-jupyter_console/update
new file mode 100644
index 00000000000..e9b0a0a5ea4
--- /dev/null
+++ b/srcpkgs/python3-jupyter_console/update
@@ -0,0 +1 @@
+ignore="*b*"
